Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1185527

Summary: gnome-maps should be noarch?
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: gnome-mapsAssignee: Kalev Lember <kalevlember>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: bnocera, elad, jonas, kalevlember, rhughes, richard, zeenix
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 12:42:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    

Description Ville Skyttä 2015-01-24 09:48:06 UTC
gnome-maps-debuginfo-3.15.4-1.fc22 is empty. Should the package be noarch? If not and if there's nothing to extract debuginfo from, -debuginfo should be explicitly disabled.

Comment 1 Ville Skyttä 2015-01-24 09:49:45 UTC
Cc'ing Richard who did the 3.15.4 update according to git log.

Comment 2 Elad Alfassa 2015-01-24 11:13:16 UTC
[elad@weatherwax ~]$ file /usr/bin/gnome-maps
/usr/bin/gnome-maps: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.32, BuildID[sha1]=ec5a7e05491d8ad2bc72fcaa0a9fa739c4ae6f1d, stripped


Looks like it shouldn't be noarch, but I don't know why the debuginfo is empty. Further investigation is required.

Comment 3 Ville Skyttä 2015-01-24 13:02:55 UTC
(In reply to Elad Alfassa from comment #2)
> [elad@weatherwax ~]$ file /usr/bin/gnome-maps
> /usr/bin/gnome-maps: ELF 64-bit LSB executable, x86-64 [...]

You're probably looking at an older version. Note that this bug is against 3.15.4 -- in it /usr/bin/gnome-maps is a symlink to /usr/share/gnome-maps/org.gnome.Maps which is a:

$ file usr/share/gnome-maps/org.gnome.Maps
usr/share/gnome-maps/org.gnome.Maps: a /usr/bin/gjs script, ASCII text executable

Comment 4 Richard Hughes 2015-01-24 19:00:28 UTC
IIRC upstream filp-floped a few times on arch/noarch; can we wait a few more releases before we make this noarch please? Thanks.

Comment 5 Zeeshan Ali 2015-01-26 15:18:17 UTC
(In reply to Richard Hughes from comment #4)
> IIRC upstream filp-floped a few times on arch/noarch; can we wait a few more
> releases before we make this noarch please? Thanks.

It was only changed to arch once and then reverted back. I (being the person who changed to arch) find it very unlikely this will change again in future.

Comment 6 Zeeshan Ali 2015-01-26 15:23:20 UTC
(In reply to Zeeshan Ali from comment #5)
> (In reply to Richard Hughes from comment #4)
> > IIRC upstream filp-floped a few times on arch/noarch; can we wait a few more
> > releases before we make this noarch please? Thanks.
> 
> It was only changed to arch once and then reverted back. I (being the person
> who changed to arch) find it very unlikely this will change again in future.

Ah, actually the change to move it back to be a nonarch is still in bz. :(

Comment 7 Zeeshan Ali 2015-01-26 15:26:08 UTC
(In reply to Zeeshan Ali from comment #6)
> (In reply to Zeeshan Ali from comment #5)
> > (In reply to Richard Hughes from comment #4)
> > > IIRC upstream filp-floped a few times on arch/noarch; can we wait a few more
> > > releases before we make this noarch please? Thanks.
> > 
> > It was only changed to arch once and then reverted back. I (being the person
> > who changed to arch) find it very unlikely this will change again in future.
> 
> Ah, actually the change to move it back to be a nonarch is still in bz. :(

Hm.. its in master alright but not in any release yet. Anyway, lets keep it arch until it is noarch again. Sorry for causing all this havoc. :(

Comment 8 Jonas Danielsson 2015-01-28 10:31:12 UTC
Yes, keep it arch. We are trying to land integration of contacts through libfolks in Maps. And that will force us to add a c shim library since libfolks is not introspectable.

Comment 9 Zeeshan Ali 2015-01-28 14:49:01 UTC
(In reply to Jonas Danielsson from comment #8)
> Yes, keep it arch. We are trying to land integration of contacts through
> libfolks in Maps. And that will force us to add a c shim library since
> libfolks is not introspectable.

Thanks for chiming in Jonas. That is weird. You get introspection for free with Vala and libfolks is written in Vala last I checked. Do we have a bug for this?

Comment 10 Jaroslav Reznik 2015-03-03 17:07:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 11 Fedora End Of Life 2016-07-19 12:42:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.